---
title: CSSPositionValue.y
slug: Web/API/CSSPositionValue/y
tags:
  - API
  - CSS Typed Object Model API
  - CSSPositionValue
  - Experimental
  - Houdini
  - Property
  - Reference
  - 'y'
---
<div>{{Obsolete_Header}}{{APIRef("CSS Typed Object Model API")}}</div>

<p><span class="seoSummary">The <strong><code>y</code></strong> property of the {{domxref("CSSPositionValue")}} interface returns the item's position along the vertical axis. </span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>y</var> = CSSPositionValue.y</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref('CSSNumericValue')}}.</p>

<h2 id="Example">Example</h2>

<p>The following example positions a container <code>&lt;div&gt;</code> 5 pixels from the top and 10 pixels from the left of the page. </p>

<pre class="brush: js">let replaceEl = document.getElementById('container');
let position = new CSSPositionValue(CSS.px(5), CSS.px(10));

someDiv.attributeStyleMap.set('object-position', position);
console.log(position.x.value, position.y.value);</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSPositionValue.y")}}</p>

<h2 id="See_Also">See Also</h2>

<ul>
 <li>{{domxref("CSSPositionValue.CSSPositionValue")}}</li>
 <li>{{domxref("CSSPositionValue.x")}}</li>
 <li><a href="/en-US/docs/Web/API/CSS_Typed_OM_API/Guide">Using the CSS Typed OM</a></li>
 <li><a href="/en-US/docs/Web/API/CSS_Typed_OM_API">CSS Typed Object Model API</a></li>
</ul>
